com.streambase.liveview.client.alert

## Interface AlertRule

-     public interface AlertRule

  Represents an alert rule suitable for residing in a TIBCO Live Datamart server. Properties managed by the server include, but are not limited to, the id, enablement and validation status.
  Since:
    2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AlertRule.Type` Gets the type of alert, currently 2 types are supported: Cron Alert and Query Alert

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AlertRuleAction>` | `getActions()` This gets the live list of actions, so you could remove or rearrange these, and the changes will be saved if you save the Alert.
    `QueryConfig` | `getAlertQueryConfig()` Gets the value of the alertQueryConfig property.
    `AlertRule.Type` | `getAlertType()` Gets the value of alertType property
    `Calendar` | `getCreated()` Gets the value of the created property.
    `String` | `getCronString()` Gets the value of the cronString property.
    `String` | `getDescription()` Gets the value of the description property.
    `String` | `getGUID()` Gets the value of the GUID property
    `Long` | `getId()` Gets the value of the id property.
    `Calendar` | `getLastUpdated()` Gets the value of the lastUpdated property.
    `String` | `getMessageTemplate()` Gets the value of the messageTemplate property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getOwner()` Gets the value of the owner property.
    `Integer` | `getPersistedVersion()` Gets the value of the persistedVersion property.
    `Integer` | `getQuiescence()` Gets the value of the quiescence property.
    `Integer` | `getSeverity()` Gets the value of the severity property.
    `String` | `getStatusMessage()` Gets the value of the statusMessage property.
    `boolean` | `isEnabled()` Gets the value of the enabled property.
    `boolean` | `isValid()` Gets the value of the status property.
    `ExecuteJavaAction` | `newExecuteJavaAction()` Creates a new ExecuteJavaAction and adds it to the end of the list of Actions
    `ExecuteOSCommandAction` | `newExecuteOSCommandAction()` Creates a new ExecuteOSCommandAction and adds it to the end of the list of Actions
    `IssueDeleteQueryAction` | `newIssueDeleteQueryAction()` Creates a new IssueDeleteQueryAction and adds it to the end of the list of Actions
    `LVPublishAlertAction` | `newLVPublishAlertAction()` Creates a new LVPublishAlertAction and adds it to the end of the list of Actions
    `PublishAlertAction` | `newPublishAlertAction()` Creates a new PublishAlertAction and adds it to the end of the list of Actions
    `SendEmailAction` | `newSendEmailAction()` Creates a new SendEmailAction and adds it to the end of the list of Actions
    `SendTupleAction` | `newSendTupleAction()` Creates a new SendTupleAction and adds it to the end of the list of Actions
    `void` | `setAlertQueryConfig(QueryConfig queryConfig)` Sets the value of the alertQueryConfig property.
    `void` | `setAlertType(AlertRule.Type alertType)` Sets the value of alertTypeproperty
    `void` | `setCronString(String value)` Sets the value of the cronString property which is a cron expression.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setEnabled(boolean value)` Sets the value of the enabled property.
    `void` | `setIsValid(boolean isValid)` Sets the value of the status property.
    `void` | `setMessageTemplate(String value)` Sets the value of the messageTemplate property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setOwner(String value)` Sets the value of the owner property.
    `void` | `setPersistedVersion(Integer value)` Sets the value of the persistedVersion property.
    `void` | `setQuiescence(int value)` Sets the value of the quiescence property.
    `void` | `setSeverity(int value)` Sets the value of the severity property.
    `void` | `setStatusMessage(String value)` Sets the value of the statusMessage property.

- - ### Method Detail

    - #### getStatusMessage

          String getStatusMessage()

      Gets the value of the statusMessage property.
      Returns:
        possible object is `String`

    - #### setStatusMessage

          void setStatusMessage(String value)

      Sets the value of the statusMessage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCronString

          String getCronString()

      Gets the value of the cronString property.
      Returns:

    - #### setCronString

          void setCronString(String value)

      Sets the value of the cronString property which is a cron expression. Also changes the alert type from default to AlertType = CRON Alert. A cron expression is a string consisting of six or seven subexpressions (fields) that describe individual details of the schedule. These fields, separated by white space, can contain any of the allowed values with various combinations of the allowed characters for that field.

           Expressions Allowed Fields and Values
           1) Seconds: 0-59 or Allowed special characters(, - * /)
           2) Minutes: 0-59 or Allowed special characters(, - * /)
           3) Hours: 0-23 or Allowed special characters(, - * /)
           4) Day of month: 1-31 or Allowed special characters(, - * ? / L W C)
           5) Month: 0-11 or JAN-DEC or Allowed special characters(, - * /)
           6) Day of week: 1-7 or SUN-SAT or Allowed special characters(, - * ? / L C #)
           7) Year: empty or 1970-2099 or Allowed special characters(, - * /)

           e.g:
           0 15 10 * * ? 2005
           Fire the alert at 10:15 AM every day during the year 2005

      Parameters:
        `value` - allowed object is `String`

    - #### setAlertType

          void setAlertType(AlertRule.Type alertType)

      Sets the value of alertTypeproperty
      Parameters:
        `value` - allowed object is `SAlertRule.Type`

    - #### getAlertType

          AlertRule.Type getAlertType()

      Gets the value of alertType property

    - #### getAlertQueryConfig

          QueryConfig getAlertQueryConfig()

      Gets the value of the alertQueryConfig property.
      Returns:
        possible object is `Query`

    - #### setAlertQueryConfig

          void setAlertQueryConfig(QueryConfig queryConfig)

      Sets the value of the alertQueryConfig property.
      Parameters:
        `queryConfig` - allowed object is `QueryConfig`

    - #### getDescription

          String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessageTemplate

          String getMessageTemplate()

      Gets the value of the messageTemplate property.
      Returns:
        possible object is `String`

    - #### setMessageTemplate

          void setMessageTemplate(String value)

      Sets the value of the messageTemplate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSeverity

          Integer getSeverity()

      Gets the value of the severity property.
      Returns:
        possible object is `Integer`

    - #### setSeverity

          void setSeverity(int value)

      Sets the value of the severity property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getQuiescence

          Integer getQuiescence()

      Gets the value of the quiescence property.
      Returns:

    - #### setQuiescence

          void setQuiescence(int value)

      Sets the value of the quiescence property.
      Parameters:
        `value` -

    - #### isEnabled

          boolean isEnabled()

      Gets the value of the enabled property.
      Returns:
        possible object is `Boolean`

    - #### setEnabled

          void setEnabled(boolean value)

      Sets the value of the enabled property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getOwner

          String getOwner()

      Gets the value of the owner property. The special value `*` means "all users."
      Returns:
        possible object is `String`

    - #### setOwner

          void setOwner(String value)

      Sets the value of the owner property. The special value `*` means "all users." Note that since 2.2.3, if authentication is enabled, the user provided value is ignored and replaced with the currently authenticated user.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreated

          Calendar getCreated()

      Gets the value of the created property.
      Returns:
        possible object is `Calendar`

    - #### getLastUpdated

          Calendar getLastUpdated()

      Gets the value of the lastUpdated property.
      Returns:
        possible object is `Calendar`

    - #### getId

          Long getId()

      Gets the value of the id property.
      Returns:
        possible object is `Long`

    - #### getGUID

          String getGUID()

      Gets the value of the GUID property
      Returns:
        possible object is `String`
      Since:
        10.3

    - #### isValid

          boolean isValid()

      Gets the value of the status property.
      Returns:
        true if this alert is valid

    - #### setIsValid

          void setIsValid(boolean isValid)

      Sets the value of the status property.
      Parameters:
        `isValid` - allowed object is `StatusType`

    - #### getPersistedVersion

          Integer getPersistedVersion()

      Gets the value of the persistedVersion property.
      Returns:
        possible object is `Integer`

    - #### setPersistedVersion

          void setPersistedVersion(Integer value)

      Sets the value of the persistedVersion property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getActions

          List<AlertRuleAction> getActions()

      This gets the live list of actions, so you could remove or rearrange these, and the changes will be saved if you save the Alert. Use any of the factory methods below to create one of the action types, and that will also add it to the list.
      Returns:
        the list of Actions

    - #### newExecuteJavaAction

          ExecuteJavaAction newExecuteJavaAction()

      Creates a new ExecuteJavaAction and adds it to the end of the list of Actions
      Returns:
        the newly created ExecuteJavaAction

    - #### newExecuteOSCommandAction

          ExecuteOSCommandAction newExecuteOSCommandAction()

      Creates a new ExecuteOSCommandAction and adds it to the end of the list of Actions
      Returns:
        the newly created ExecuteOSCommandAction

    - #### newIssueDeleteQueryAction

          IssueDeleteQueryAction newIssueDeleteQueryAction()

      Creates a new IssueDeleteQueryAction and adds it to the end of the list of Actions
      Returns:
        the newly created IssueDeleteQueryAction

    - #### newPublishAlertAction

          PublishAlertAction newPublishAlertAction()

      Creates a new PublishAlertAction and adds it to the end of the list of Actions
      Returns:
        the newly created PublishAlertAction

    - #### newSendEmailAction

          SendEmailAction newSendEmailAction()

      Creates a new SendEmailAction and adds it to the end of the list of Actions
      Returns:
        the newly created SendEmailAction

    - #### newSendTupleAction

          SendTupleAction newSendTupleAction()

      Creates a new SendTupleAction and adds it to the end of the list of Actions
      Returns:
        the newly created SendTupleAction

    - #### newLVPublishAlertAction

          LVPublishAlertAction newLVPublishAlertAction()

      Creates a new LVPublishAlertAction and adds it to the end of the list of Actions
      Returns:
        the newly created LVPublishAlertAction

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.